Bug 855376 - org.infinispan.client.hotrod.PingOnStartupTest.testTopologyFetched randomly fails
org.infinispan.client.hotrod.PingOnStartupTest.testTopologyFetched randomly f...
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium
: DR2
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 10:31 EDT by Anna Manukyan
Modified: 2013-10-06 20:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2509 Major Resolved org.infinispan.client.hotrod.PingOnStartupTest.testTopologyFetched randomly fails 2013-12-09 16:58:01 EST

  None (edit)
Comment 1 Anna Manukyan 2012-09-12 08:48:36 EDT
The bug doesn't appear when the test is run separately.
Comment 2 mark yarborough 2012-09-12 09:24:16 EDT
Per ttarrant and mgencur, these are related to tests running in non-representative loading environments and will likely not occur in actual customer deployments. These are not regressions or blockers so will be moved to 6.1. They do not need to be release noted for 6.0.
Comment 3 mark yarborough 2012-11-14 09:42:08 EST
ttarrant will add jira links as appropriate.
Comment 5 Anna Manukyan 2013-01-21 04:49:29 EST
For making sure, that the error message will be later available for investigation, please find the error log here:

Error Message

expected:<2> but was:<1>

Stacktrace

java.lang.AssertionError: expected:<2> but was:<1>
	at org.testng.AssertJUnit.fail(AssertJUnit.java:59)
	at org.testng.AssertJUnit.failNotEquals(AssertJUnit.java:364)
	at org.testng.AssertJUnit.assertEquals(AssertJUnit.java:80)
	at org.testng.AssertJUnit.assertEquals(AssertJUnit.java:245)
	at org.testng.AssertJUnit.assertEquals(AssertJUnit.java:252)
	at org.infinispan.client.hotrod.PingOnStartupTest$1.call(PingOnStartupTest.java:74)
	at org.infinispan.client.hotrod.test.HotRodClientTestingUtil.withRemoteCacheManager(HotRodClientTestingUtil.java:97)
	at org.infinispan.client.hotrod.PingOnStartupTest.testTopologyFetched(PingOnStartupTest.java:61)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:715)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:907)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1237)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111)
	at org.testng.TestRunner.privateRun(TestRunner.java:767)
	at org.testng.TestRunner.run(TestRunner.java:617)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:334)
	at org.testng.SuiteRunner.access$000(SuiteRunner.java:37)
	at org.testng.SuiteRunner$SuiteWorker.run(SuiteRunner.java:368)
	at org.testng.internal.thread.ThreadUtil$2.call(ThreadUtil.java:64)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:722)
Comment 6 JBoss JIRA Server 2013-03-01 07:24:19 EST
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-2509

I think this might be caused by some DNS issues: https://gist.github.com/galderz/591e548d3ed0db3a62c9

{code}Caused by: java.net.UnknownHostException
	at sun.nio.ch.Net.translateException(Net.java:139)
	at sun.nio.ch.SocketAdaptor.connect(SocketAdaptor.java:137)
	at org.infinispan.client.hotrod.impl.transport.tcp.TcpTransport.<init>(TcpTransport.java:79){code}
Comment 7 JBoss JIRA Server 2013-03-01 07:46:07 EST
Galder Zamarreño <galder.zamarreno@redhat.com> updated the status of jira ISPN-2509 to Coding In Progress

Note You need to log in before you can comment on or make changes to this bug.